#include <stdio.h>
#include "moebus.h"

void print_all(void);

int main(int argc, char *argv[])
{
	unsigned char valeur;
	
	if(argc > 2 || argc == 1)
	{
		printf("amibguous command arguments, openning /dev/parport0\n");
		open_port("/dev/parport0");
	}
	else
		open_port(argv[1]);

	while(1)
	{
		printf("Entrez la donne  crire (hexa):\n");
		scanf("%x", &valeur);
		write_data(valeur);

		print_all();
	}

	close_port();
}

void print_all(void)
{
	unsigned char data, status, ctl;

	read_data(&data);
	read_status(&status);
	read_control(&ctl);

	printf("data: %s  status: %s control: %s\n", bin_to_str(data, 8),
				 bin_to_str(status, 8), bin_to_str(ctl, 8));
}
